Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Redfish.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2021 Raritan Inc. All rights reserved.
4 */
5
6/**
7 * Device Settings
8 */
9module devsettings {
10
11 /** Redfish API service settings interface */
12 interface Redfish {
13
14 /** Redfish settings */
15 structure Settings {
16 boolean enabled; ///< Enable the Redfish API service
17 };
18
19 /**
20 * Retrieve Redfish settings.
21 *
22 * @return Redfish settings
23 */
24 Settings getSettings();
25
26 /**
27 * Set Redfish settings.
28 *
29 * @param settings New settings
30 */
31 void setSettings(in Settings settings);
32 };
33}
devsettings::Redfish
Redfish API service settings interface.
Definition Redfish.idl:12
devsettings::Redfish::setSettings
void setSettings(in Settings settings)
Set Redfish settings.
devsettings::Redfish::getSettings
Settings getSettings()
Retrieve Redfish settings.
devsettings
Device Settings.
Definition Crestron.idl:9
devsettings::Redfish::Settings
Redfish settings.
Definition Redfish.idl:15
devsettings::Redfish::Settings::enabled
boolean enabled
Enable the Redfish API service.
Definition Redfish.idl:16